Bug 457650 - Koji delivers undecypherable message when .fedora-server-ca.cert is zero length
Koji delivers undecypherable message when .fedora-server-ca.cert is zero length
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: koji (Show other bugs)
9
i386 Linux
low Severity low
: ---
: ---
Assigned To: David Cantrell
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-02 07:04 EDT by Lyos Gemini Norezel
Modified: 2013-01-09 20:51 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-05 13:32:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lyos Gemini Norezel 2008-08-02 07:04:08 EDT
Description of problem:
Koji errors out with a cryptic message when .fedora-server-ca.cert is 0bytes.


Version-Release number of selected component (if applicable):
koji-1.2.3-1.fc9.noarch

How reproducible:
Always


Steps to Reproduce:
1. create a zero length file named .fedora-server-ca.cert
2. run make build in cvs
  
Actual results:
[makerpm@localhost F-8]$ /usr/bin/koji -d build dist-f8-updates-candidate
'cvs://cvs.fedoraproject.org/cvs/pkgs?rpms/darkgarden-fonts/F-8#darkgarden-fonts-1_1-1_fc8'
Traceback (most recent call last):
  File "/usr/bin/koji", line 3918, in <module>
    rv = locals()[command].__call__(options, session, args)
  File "/usr/bin/koji", line 653, in handle_build
    activate_session(session)
  File "/usr/bin/koji", line 3888, in activate_session
    session.ssl_login(options.cert, options.ca, options.serverca,
proxyuser=options.runas)
  File "/usr/lib/python2.5/site-packages/koji/__init__.py", line 1232, in ssl_login
    self.proxy = ssl.XMLRPCServerProxy.PlgXMLRPCServerProxy(self.baseurl, certs,
timeout=60, **self.proxyOpts)
  File "/usr/lib/python2.5/site-packages/koji/ssl/XMLRPCServerProxy.py", line
74, in __init__
    self.ctx = SSLCommon.CreateSSLContext(certs)
  File "/usr/lib/python2.5/site-packages/koji/ssl/SSLCommon.py", line 44, in
CreateSSLContext
    ctx.load_verify_locations(peer_ca_cert)
OpenSSL.SSL.Error: []

Expected results:
[makerpm@localhost F-8]$ make build
Enter passphrase for key '/home/makerpm/.ssh/id_rsa': 
/usr/bin/koji  build  dist-f8-updates-candidate
'cvs://cvs.fedoraproject.org/cvs/pkgs?rpms/darkgarden-fonts/F-8#darkgarden-fonts-1_1-1_fc8'
Created task: 754188
Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=754188
Watching tasks (this may be safely interrupted)...
754188 build (dist-f8-updates-candidate, F-8:darkgarden-fonts-1_1-1_fc8): free
754188 build (dist-f8-updates-candidate, F-8:darkgarden-fonts-1_1-1_fc8): free
-> open (x86-7.fedora.phx.redhat.com)
  754189 buildSRPMFromSCM (F-8:darkgarden-fonts-1_1-1_fc8): free
  754189 buildSRPMFromSCM (F-8:darkgarden-fonts-1_1-1_fc8): free -> open
(x86-1.fedora.phx.redhat.com)
  754189 buildSRPMFromSCM (F-8:darkgarden-fonts-1_1-1_fc8): open
(x86-1.fedora.phx.redhat.com) -> closed
  0 free  1 open  1 done  0 failed
  754198 buildArch (darkgarden-fonts-1.1-1.fc8.src.rpm, noarch): free
  754198 buildArch (darkgarden-fonts-1.1-1.fc8.src.rpm, noarch): free -> open
(x86-6.fedora.phx.redhat.com)
  754198 buildArch (darkgarden-fonts-1.1-1.fc8.src.rpm, noarch): open
(x86-6.fedora.phx.redhat.com) -> closed
  0 free  1 open  2 done  0 failed
  754205 tagBuild (noarch): free
  754205 tagBuild (noarch): free -> open (x86-6.fedora.phx.redhat.com)
  754205 tagBuild (noarch): open (x86-6.fedora.phx.redhat.com) -> closed
  0 free  1 open  3 done  0 failed
754188 build (dist-f8-updates-candidate, F-8:darkgarden-fonts-1_1-1_fc8): open
(x86-7.fedora.phx.redhat.com) -> closed
  0 free  0 open  4 done  0 failed

Additional info:

Note You need to log in before you can comment on or make changes to this bug.